
QGIS Application - Bug report #20259

Crash

2018-10-29 02:34 PM - Andrew Shanin

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28080

Description

User Feedback

Nothing to do. Just crash!

Report Details

Crash ID: 27a7a1737bab5acc1609b70f6389e7afee749d22

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

DispatchMessageW :

DispatchMessageW :

CharLowerBuffW :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

History

#1 - 2018-10-29 08:46 PM - Giovanni Manghi

- Priority changed from Low to High

- Status changed from Open to Feedback
Some more info is needed. It crashes on start? or after starting after trying do something?

#2 - 2018-10-29 11:11 PM - Ian Erickson

I can confirm this behavior. Upon opening moving the mouse to hover over the Browser panel, the application crashes. No interaction with any of the items

is required. Opening QGIS and then dismissing the Browser panel without hovering over the tree control seems to prevent the crash.

#3 - 2018-10-30 10:17 AM - Giovanni Manghi

Try with a clean profile.

#4 - 2018-10-30 11:38 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Feedback to Closed

Duplicate of #20280
